OGRE-Next: Ogre::NULLWindow Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::NULLWindow Class Reference

`#include <OgreNULLWindow.h>`

Inheritance diagram for Ogre::NULLWindow:
[legend]

## Public Member Functions
| NULLWindow (const String &title, uint32 width, uint32 height, bool fullscreenMode)
| ~NULLWindow () override
void | _initialize (TextureGpuManager *textureGpuManager) override
void | _setVisible (bool visible) override
| Internal method to notify the window it has been obscured or minimized.
void | destroy () override
bool | isClosed () const override
| Indicates whether the window has been closed by the user.
bool | isHidden () const override
| Indicates whether the window was set to hidden (not displayed).
bool | isVisible () const override
void | reposition (int32 left, int32 top) override
void | requestFullscreenSwitch (bool goFullscreen, bool borderless, uint32 monitorIdx, uint32 width, uint32 height, uint32 frequencyNumerator, uint32 frequencyDenominator) override
| Requests to toggle between fullscreen and windowed mode.
void | requestResolution (uint32 width, uint32 height) override
| Requests a change in resolution.
void | setHidden (bool hidden) override
| Hide (or show) the window.
void | swapBuffers () override
Public Member Functions inherited from Ogre::Window
| Window (const String &title, uint32 widthPt, uint32 heightPt, bool fullscreenMode)
virtual | ~Window ()
void | _setPrimary ()
| Indicates that this is the primary window.
virtual bool | canDownloadData () const
| Returns true if you can download to CPU (i.e.
bool | getBorderless () const
virtual void | getCustomAttribute (IdString name, void *pData)
TextureGpu * | getDepthBuffer () const
uint32 | getFrequencyDenominator () const
uint32 | getFrequencyNumerator () const
uint32 | getHeight () const
virtual void | getMetrics (uint32 &width, uint32 &height, int32 &left, int32 &top) const
| Overloaded version of getMetrics from RenderTarget, including extra details specific to windowing systems.
PixelFormatGpu | getPixelFormat () const
uint32 | getRequestedHeightPt () const
uint32 | getRequestedWidthPt () const
SampleDescription | getSampleDescription () const
TextureGpu * | getStencilBuffer () const
TextureGpu * | getTexture () const
| WARNING: Attempting to change the TextureGpu (e.g.
const String & | getTitle () const
virtual float | getViewPointToPixelScale () const
| Many windowing systems that support HiDPI displays use special points to specify size of the windows and controls, so that windows and controls with hardcoded sizes does not become too small on HiDPI displays.
bool | getVSync () const
uint32 | getVSyncInterval () const
uint32 | getWidth () const
bool | isFocused () const
bool | isFullscreen () const
| Returns true if we are currently in fullscreen mode.
virtual bool | isManualSwapRelease () const
| Returns the value set by setManualSwapRelease when supported.
bool | isMultisample () const
bool | isPrimary () const
virtual void | performManualRelease ()
| See Window::setManualSwapRelease.
virtual void | setBorderless (bool borderless)
virtual void | setFocused (bool focused)
virtual void | setFsaa (const String &fsaa)
| Set the FSAA mode to be used if hardware support it.
virtual void | setManualSwapRelease (bool bManualRelease)
| Metal doesn't want us to hold on to a drawable after presenting.
virtual void | setTitle (const String &title)
virtual void | setVSync (bool vSync, uint32 vSyncInterval)
| Turns VSync on/off.
virtual void | setWantsToDownload (bool bWantsToDownload)
| On Metal you must call this function and set it to true in order to take pictures.
bool | wantsToGoFullscreen () const
| Returns true if we are in windowed mode right now, but want to go fullscreen.
bool | wantsToGoWindowed () const
| Returns true if we are in fullscreen mode right now, but want to go windowed mode.
virtual void | windowMovedOrResized ()
| Notify that the window has been resized.

## Constructor & Destructor Documentation

## ◆ NULLWindow()

Ogre::NULLWindow::NULLWindow | ( | const String & | title,
|  | uint32 | width,
|  | uint32 | height,
|  | bool | fullscreenMode )

## ◆ ~NULLWindow()

Ogre::NULLWindow::~NULLWindow | ( |  | ) |
| override

## Member Function Documentation

## ◆ _initialize()

void Ogre::NULLWindow::_initialize | ( | TextureGpuManager * | textureGpuManager | ) |
| overridevirtual

Implements Ogre::Window.

## ◆ _setVisible()

void Ogre::NULLWindow::_setVisible | ( | bool | visible | ) |
| overridevirtual

Internal method to notify the window it has been obscured or minimized.

Implements Ogre::Window.

## ◆ destroy()

void Ogre::NULLWindow::destroy | ( |  | ) |
| overridevirtual

Implements Ogre::Window.

## ◆ isClosed()

bool Ogre::NULLWindow::isClosed | ( |  | ) | const
| overridevirtual

Indicates whether the window has been closed by the user.

Implements Ogre::Window.

## ◆ isHidden()

bool Ogre::NULLWindow::isHidden | ( |  | ) | const
| overridevirtual

Indicates whether the window was set to hidden (not displayed).

Implements Ogre::Window.

## ◆ isVisible()

bool Ogre::NULLWindow::isVisible | ( |  | ) | const
| overridevirtual

Implements Ogre::Window.

## ◆ reposition()

void Ogre::NULLWindow::reposition | ( | int32 | left,
|  | int32 | top )
| overridevirtual

Implements Ogre::Window.

## ◆ requestFullscreenSwitch()

void Ogre::NULLWindow::requestFullscreenSwitch | ( | bool | goFullscreen,
|  | bool | borderless,
|  | uint32 | monitorIdx,
|  | uint32 | widthPt,
|  | uint32 | heightPt,
|  | uint32 | frequencyNumerator,
|  | uint32 | frequencyDenominator )
| overridevirtual

Requests to toggle between fullscreen and windowed mode.

Remarks
  Use wantsToGoFullscreen & wantsToGoWindowed to know what you've requested. Same remarks as requestResolution apply: If we request to go fullscreen, wantsToGoFullscreen will return true. But if get word from OS saying we stay in windowed mode, wantsToGoFullscreen will start returning false.

Parameters

  goFullscreen | True to go fullscreen, false to go windowed mode.
  borderless | Whether to be borderless. Only useful if goFullscreen == false;
  monitorIdx |
  widthPt | New width. Leave 0 if you don't care.
  heightPt | New height. Leave 0 if you don't care.
  frequencyNumerator | New frequency (fullscreen only). Leave 0 if you don't care.
  frequencyDenominator | New frequency (fullscreen only). Leave 0 if you don't care.

Reimplemented from Ogre::Window.

## ◆ requestResolution()

void Ogre::NULLWindow::requestResolution | ( | uint32 | widthPt,
|  | uint32 | heightPt )
| overridevirtual

Requests a change in resolution.

Change is not immediate. Use getRequestedWidthPt & getRequestedHeightPt if you need to know what you've requested, but beware you may not get that resolution, and once we get word from the OS, getRequested{Width/Height}Pt will change again so that getWidth == getRequestedWidthPt * getViewPointToPixelScale.

Reimplemented from Ogre::Window.

## ◆ setHidden()

void Ogre::NULLWindow::setHidden | ( | bool | hidden | ) |
| overridevirtual

Hide (or show) the window.

If called with hidden=true, this will make the window completely invisible to the user.

Remarks
  Setting a window to hidden is useful to create a dummy primary RenderWindow hidden from the user so that you can create and recreate your actual RenderWindows without having to recreate all your resources.

Implements Ogre::Window.

## ◆ swapBuffers()

void Ogre::NULLWindow::swapBuffers | ( |  | ) |
| overridevirtual

Implements Ogre::Window.

The documentation for this class was generated from the following file:

- OgreNULLWindow.h